aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorJuergen Kahrs <Juergen.Kahrs@googlemail.com>2013-04-29 20:51:24 +0200
committerJuergen Kahrs <Juergen.Kahrs@googlemail.com>2013-04-29 20:51:24 +0200
commit3e41ef8d18bcc6026445f04618a9564710301a49 (patch)
treed03538a05ae341e98397eda5d2f0305c2b303fbd
parent871c74808578617fdf6dab0ee5b28b9c7d00aaae (diff)
parentf876eae297cf4ce7f6605d021bc61d1ae8c5f4e9 (diff)
downloadegawk-3e41ef8d18bcc6026445f04618a9564710301a49.tar.gz
egawk-3e41ef8d18bcc6026445f04618a9564710301a49.tar.bz2
egawk-3e41ef8d18bcc6026445f04618a9564710301a49.zip
Merge remote-tracking branch 'origin/master' into cmake
-rw-r--r--ChangeLog6
-rw-r--r--io.c4
-rw-r--r--pc/ChangeLog18
-rw-r--r--pc/Makefile.tst16
4 files changed, 34 insertions, 10 deletions
diff --git a/ChangeLog b/ChangeLog
index f3f7e7e0..9399620c 100644
--- a/ChangeLog
+++ b/ChangeLog
@@ -1,3 +1,9 @@
+2013-04-28 Eli Zaretskii <eliz@gnu.org>
+
+ * io.c (redirect): Remove the HACK that called close_one when
+ errno was zero in the MinGW build. This prevents failure in
+ several tests in the test suite, e.g., closebad.
+
2013-04-28 Arnold D. Robbins <arnold@skeeve.com>
* bootstrap.sh: Fix a comment.
diff --git a/io.c b/io.c
index c8bd9b24..7e3626bf 100644
--- a/io.c
+++ b/io.c
@@ -902,10 +902,6 @@ redirect(NODE *redir_exp, int redirtype, int *errflg)
/* too many files open -- close one and try again */
if (errno == EMFILE || errno == ENFILE)
close_one();
-#if defined __MINGW32__
- else if (errno == 0) /* HACK! */
- close_one();
-#endif
#ifdef VMS
/* Alpha/VMS V7.1's C RTL is returning this instead
of EMFILE (haven't tried other post-V6.2 systems) */
diff --git a/pc/ChangeLog b/pc/ChangeLog
index f5f69206..cd8a6db9 100644
--- a/pc/ChangeLog
+++ b/pc/ChangeLog
@@ -1,3 +1,21 @@
+2013-04-29 Eli Zaretskii <eliz@gnu.org>
+
+ * Makefile.tst (mpfr-tests, shlib-tests, rsnulbig, rsnulbig2):
+ Insert a space between ' and the following / to prevent MSYS Bash
+ from interpreting that as a Unix-style file name.
+
+2013-04-28 Eli Zaretskii <eliz@gnu.org>
+
+ * Makefile.tst (top_srcdir): Define. This avoids failure in a few
+ tests that use this variable.
+ (testext): Prepend a space before the /regexp/ argument, to
+ prevent MSYS Bash mistaking this for an absolute file name that
+ needs to be converted to the Windows D:/foo/bar form, which fails
+ the test.
+ (check): Remove the shlib tests from 'check', so that they are not
+ run by default, because the extensions are not yet built
+ automatically.
+
2013-04-22 Scott Deifik <scottd.mail@sbcglobal.net>
* Makefile.tst: Sync with mainline.
diff --git a/pc/Makefile.tst b/pc/Makefile.tst
index 3555d498..78ad5ad1 100644
--- a/pc/Makefile.tst
+++ b/pc/Makefile.tst
@@ -124,6 +124,7 @@ export GREP_OPTIONS=
srcdir = .
abs_srcdir = .
abs_builddir = .
+top_srcdir = $(srcdir)/..
# Get rid of core files when cleaning and generated .ok file
CLEANFILES = core core.* fmtspcl.ok
@@ -236,10 +237,13 @@ check: msg \
extend-msg-start gawk-extensions extend-msg-end \
machine-msg-start machine-tests machine-msg-end \
charset-msg-start charset-tests charset-msg-end \
- shlib-msg-start shlib-tests shlib-msg-end \
+ shlib-msg-start \
mpfr-msg-start mpfr-tests mpfr-msg-end \
pass-fail
+# Removed from 'check': shlib-tests shlib-msg-end
+# FIXME: add back when the extensions are built by default.
+
basic: $(BASIC_TESTS)
unix-tests: $(UNIX_TESTS)
@@ -255,13 +259,13 @@ inet: inetmesg $(INET_TESTS)
machine-tests: $(MACHINE_TESTS)
mpfr-tests:
- @if $(AWK) --version | $(AWK) '/MPFR/ { exit 1 }' ; then \
+ @if $(AWK) --version | $(AWK) ' /MPFR/ { exit 1 }' ; then \
echo MPFR tests not supported on this system ; \
else $(MAKE) $(MPFR_TESTS) ; \
fi
shlib-tests:
- @if $(AWK) --version | $(AWK) '/API/ { exit 1 }' ; then \
+ @if $(AWK) --version | $(AWK) ' /API/ { exit 1 }' ; then \
echo shlib tests not supported on this system ; \
else $(MAKE) shlib-real-tests ; \
fi
@@ -589,7 +593,7 @@ rsnulbig::
@ : Suppose that block size for pipe is at most 128kB:
@$(AWK) 'BEGIN { for (i = 1; i <= 128*64+1; i++) print "abcdefgh123456\n" }' 2>&1 | \
$(AWK) 'BEGIN { RS = ""; ORS = "\n\n" }; { print }' 2>&1 | \
- $(AWK) '/^[^a]/; END{ print NR }' >_$@ 2>&1 || echo EXIT CODE: $$? >>_$@
+ $(AWK) ' /^[^a]/; END{ print NR }' >_$@ 2>&1 || echo EXIT CODE: $$? >>_$@
@-$(CMP) $(srcdir)/$@.ok _$@ && rm -f _$@
rsnulbig2::
@@ -597,7 +601,7 @@ rsnulbig2::
@$(AWK) 'BEGIN { ORS = ""; n = "\n"; for (i = 1; i <= 10; i++) n = (n n); \
for (i = 1; i <= 128; i++) print n; print "abc\n" }' 2>&1 | \
$(AWK) 'BEGIN { RS = ""; ORS = "\n\n" };{ print }' 2>&1 | \
- $(AWK) '/^[^a]/; END { print NR }' >_$@ 2>&1 || echo EXIT CODE: $$? >>_$@
+ $(AWK) ' /^[^a]/; END { print NR }' >_$@ 2>&1 || echo EXIT CODE: $$? >>_$@
@-$(CMP) $(srcdir)/$@.ok _$@ && rm -f _$@
wideidx::
@@ -977,7 +981,7 @@ inplace3::
testext::
@echo $@
- @$(AWK) '/^(@load|BEGIN)/,/^}/' $(top_srcdir)/extension/testext.c > testext.awk
+ @$(AWK) ' /^(@load|BEGIN)/,/^}/' $(top_srcdir)/extension/testext.c > testext.awk
@$(AWK) -f testext.awk >_$@ 2>&1 || echo EXIT CODE: $$? >>_$@
@-$(CMP) $(srcdir)/$@.ok _$@ && rm -f _$@ testext.awk